import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import { createPinia } from 'pinia'
import { useUserStore } from './store/user'

import Antd from 'ant-design-vue'
import 'ant-design-vue/dist/reset.css'
import 'katex/dist/katex.min.css'

const app = createApp(App)
const pinia = createPinia()

app.use(pinia)


const userStore = useUserStore()
await userStore.initialize()

app.use(router)
app.use(Antd)
app.mount('#app')
